## this uses 
https://github.com/instrumentisto/restic-docker-image

## init once repo
```
docker run --rm --name restic_init -e RESTIC_REPOSITORY=rclone:remote:backup -e RESTIC_PASSWORD=SUPERPASSWORD -v /mnt/user/zwnk/resticNasBackup/:/rcloneconf/ -e RCLONE_CONFIG=/rcloneconf/rclone.conf instrumentisto/restic --verbose --host MYSERVERNAME init
 ```

## backup job
```
docker run --rm --name restic_foto_backup -v /mnt/user/fotos:/fotos -e RESTIC_REPOSITORY=rclone:remote:backup -e RESTIC_PASSWORD=SUPERPASSWORD -v /mnt/user/zwnk/resticNasBackup/:/rcloneconf/ -e RCLONE_CONFIG=/rcloneconf/rclone.conf instrumentisto/restic --verbose --host MYSERVERNAME backup /fotos
docker run --name restic_forget --rm -e RESTIC_REPOSITORY=rclone:remote:backup -e RESTIC_PASSWORD=SUPERPASSWORD -e RCLONE_CONFIG=/rcloneconf/rclone.conf instrumentisto/restic forget --keep-last 3 
docker run --name resitc_prune --rm -e RESTIC_REPOSITORY=rclone:remote:backup -e RESTIC_PASSWORD=SUPERPASSWORD -e RCLONE_CONFIG=/rcloneconf/rclone.conf instrumentisto/restic prune
```

##
more commands can be found:
https://restic.readthedocs.io/en/latest/045_working_with_repos.html